Bug 1018368 - [abrt] tracker-0.16.2-1.fc19: __strncmp_sse42: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.16.2-1.fc19: __strncmp_sse42: Process /usr/libexec/tracker-m...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
abrt_hash:e0bb21bf73ea82da77024256ab2...
:
: 972464 1021515 1026037 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 15:10 EDT by greg.hellings
Modified: 2015-06-29 08:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (105.99 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: core_backtrace (30.03 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: dso_list (1.54 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: environ (1.59 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: maps (32.41 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: open_fds (3.08 KB, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details
File: var_log_messages (407 bytes, text/plain)
2013-10-11 15:10 EDT, greg.hellings
no flags Details

  None (edit)
Description greg.hellings 2013-10-11 15:10:10 EDT
Description of problem:
I have no idea. I was simply greeted with the dialog box informing me that tracker had encountered a problem.

Version-Release number of selected component:
tracker-0.16.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: __strncmp_sse42
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strncmp_sse42 at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
 #1 file_node_data_equal_or_child at tracker-file-system.c:186
 #2 file_tree_lookup at tracker-file-system.c:263
 #3 tracker_file_system_unset_property at tracker-file-system.c:814
 #4 crawl_directories_start at tracker-file-notifier.c:579
 #5 file_notifier_traverse_tree at tracker-file-notifier.c:298
 #6 g_cclosure_marshal_VOID__BOOLEANv at gmarshal.c:188
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 tracker_crawler_stop at tracker-crawler.c:914
 #11 process_func at tracker-crawler.c:548
Comment 1 greg.hellings 2013-10-11 15:10:12 EDT
Created attachment 811347 [details]
File: backtrace
Comment 2 greg.hellings 2013-10-11 15:10:15 EDT
Created attachment 811348 [details]
File: cgroup
Comment 3 greg.hellings 2013-10-11 15:10:17 EDT
Created attachment 811349 [details]
File: core_backtrace
Comment 4 greg.hellings 2013-10-11 15:10:20 EDT
Created attachment 811350 [details]
File: dso_list
Comment 5 greg.hellings 2013-10-11 15:10:22 EDT
Created attachment 811351 [details]
File: environ
Comment 6 greg.hellings 2013-10-11 15:10:25 EDT
Created attachment 811352 [details]
File: exploitable
Comment 7 greg.hellings 2013-10-11 15:10:27 EDT
Created attachment 811353 [details]
File: limits
Comment 8 greg.hellings 2013-10-11 15:10:30 EDT
Created attachment 811354 [details]
File: maps
Comment 9 greg.hellings 2013-10-11 15:10:32 EDT
Created attachment 811355 [details]
File: open_fds
Comment 10 greg.hellings 2013-10-11 15:10:35 EDT
Created attachment 811356 [details]
File: proc_pid_status
Comment 11 greg.hellings 2013-10-11 15:10:37 EDT
Created attachment 811357 [details]
File: var_log_messages
Comment 12 Fedora Admin XMLRPC Client 2014-07-26 13:11:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2014-07-27 02:33:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Debarshi Ray 2014-10-10 12:42:23 EDT
*** Bug 972464 has been marked as a duplicate of this bug. ***
Comment 15 Debarshi Ray 2014-10-10 12:43:36 EDT
*** Bug 1026037 has been marked as a duplicate of this bug. ***
Comment 16 Debarshi Ray 2014-10-14 12:51:10 EDT
*** Bug 1021515 has been marked as a duplicate of this bug. ***
Comment 17 Debarshi Ray 2014-11-02 10:03:14 EST
Removing private flag so that those CCed on the duplicate bugs can follow.

The backtrace does contain a few lines from the files that the miner-fs was reading at the time of the crash, but the harm caused by exposing them to the public appears to be less than the harm caused by excluding others from following this bug.
Comment 18 Fedora End Of Life 2015-05-29 05:33:37 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 08:37:13 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.